<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Schimbă parola membru '.nume($la,1);
require'f_profil.php';
$back[1]=profil($la,'Profil membru '.nume($la));
$back[2]='<a href="/admin-moderare-membru/la/'.$la.'-'.seo(nume($la,1)).'">'.img('administrare.png',1).'Moderare membru '.nume($la).'</a>';
require'f_sus.php';
$npwd=$_POST['npwd'];
if((mb_strlen($npwd)<4)||(mb_strlen($npwd)>15))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Parola trebuie să conțină minim 4 și maxim 15 caractere!';
else
{
if($conn->query('UPDATE`membrii`SET`parola`="'.md5($npwd).'"WHERE`id`="'.$la.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Editare profil",`de`="'.$de.'",`text`="a schimbat parola lui",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if($de!=$la)
{
require'f_notificare.php';
notificare('am schimbat parola contului tau!',$la,$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Parola actualizata, noua parola este '.$npwd;
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
echo$div[0];
require'f_jos.php';